Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
[READ-ONLY] Subtree split of the Kunstmaan SearchBundle -- master at Kunstmaan/KunstmaanBundlesCMS
PHP
Failed to load latest commit information.
Command
Configuration
DependencyInjection Unused use statement should be avoided
Helper refactor search/nodesearch to use elastica
Provider fix elastica host configuration
Resources/config
Search Boolean should be compared strictly
Tests
.gitignore Text files should end with a newline character
.travis.yml require at least PHP 5.4
KunstmaanSearchBundle.php
LICENSE
README.md refactor search/nodesearch to use elastica
build.xml
composer.json Upgrade dev-master branch alias to 3.2-dev
phpunit.xml.dist Removing the need to import config.yml into you app/config/config.yml

README.md

About the KunstmaanSearchBundle

Build Status Total Downloads Latest Stable Version Analytics

The KunstmaanSearchBundle works with ElasticSearch and supports different search providers. The bundle currently supports Sherlock as a provider.

More about these features can be found in our bundle documentation

Make sure you run ElasticSearch. You can download it here and extract the files. Then run the executable 'elasticsearch' in the bin directory.

Installation

composer.json

    "require": {
        "kunstmaan/search-bundle": "*"
    },

AppKernel.php:

    public function registerBundles()
    {
        $bundles = array(
            // ...
            new Kunstmaan\SearchBundle\KunstmaanSearchBundle(),
            // ...
        );

Configuration

Parameter

Add the following parameter to your parameters file (ini, yml, ...), the prefix will be automatically used before each indexname you specify.

 searchindexprefix: prefix_

Documentation

Further documentation on how to use and extend this bundle can be found here.

Reporting an issue or a feature request

Issues and feature requests are tracked in the Github issue tracker.

When reporting a bug, it may be a good idea to reproduce it in a basic project built using the Symfony Standard Edition to allow developers of the bundle to reproduce the issue by simply cloning it and following some steps.

Something went wrong with that request. Please try again.